Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 929197 - <sys-devel/llvm-18: x11-wm/mutter-45.5 fails tests on loong: LLVM ERROR: Cannot select In function: fs_variant_partial
Summary: <sys-devel/llvm-18: x11-wm/mutter-45.5 fails tests on loong: LLVM ERROR: Cann...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: Loong Linux
: Normal normal (vote)
Assignee: LLVM support project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-04-12 06:04 UTC by matoro
Modified: 2024-05-30 11:25 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log and emerge --info (build.log.gz,169.54 KB, application/gzip)
2024-04-12 06:05 UTC, matoro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description matoro archtester 2024-04-12 06:04:12 UTC
Majority of tests crash in LLVM.  This is using media-libs/mesa-24.0.5, bound to sys-devel/llvm-17.0.6.

LLVM ERROR: Cannot select: 0x555598c91f40: ch = store<(store (s128) into %ir.mask_store49)> 0x555598c91ed0, 0x555598c857f0, FrameIndex:i64<6>, undef:i64
  0x555598c857f0: v4i32 = sra 0x555598c85780, 0x555598c917d0
    0x555598c85780: v4i32 = shl 0x555598c849f0, 0x555598c917d0
      0x555598c849f0: v4i32 = setcc 0x555598c91bc0, 0x555598c91ca0, setne:ch
        0x555598c91bc0: v4i32 = and 0x555598c91760, 0x555598c91b50
          0x555598c91760: v4i32 = BUILD_VECTOR 0x555598c92170, 0x555598c92170, 0x555598c92170, 0x555598c92170
            0x555598c92170: i64,ch = load<(load (s32) from %fixed-stack.5, align 16), zext from i32> 0x55559846fae0, FrameIndex:i64<-3>, undef:i64
              0x555598c85240: i64 = FrameIndex<-3>
              0x555598c85080: i64 = undef
            0x555598c92170: i64,ch = load<(load (s32) from %fixed-stack.5, align 16), zext from i32> 0x55559846fae0, FrameIndex:i64<-3>, undef:i64
              0x555598c85240: i64 = FrameIndex<-3>
              0x555598c85080: i64 = undef
            0x555598c92170: i64,ch = load<(load (s32) from %fixed-stack.5, align 16), zext from i32> 0x55559846fae0, FrameIndex:i64<-3>, undef:i64
              0x555598c85240: i64 = FrameIndex<-3>
              0x555598c85080: i64 = undef
            0x555598c92170: i64,ch = load<(load (s32) from %fixed-stack.5, align 16), zext from i32> 0x55559846fae0, FrameIndex:i64<-3>, undef:i64
              0x555598c85240: i64 = FrameIndex<-3>
              0x555598c85080: i64 = undef
          0x555598c91b50: v4i32 = BUILD_VECTOR Constant:i64<1>, Constant:i64<2>, Constant:i64<16>, Constant:i64<32>
            0x555598c8bc50: i64 = Constant<1>
            0x555598c92020: i64 = Constant<2>
            0x555598c8ba90: i64 = Constant<16>
            0x555598c8c6d0: i64 = Constant<32>
        0x555598c91ca0: v4i32 = BUILD_VECTOR Constant:i64<0>, Constant:i64<0>, Constant:i64<0>, Constant:i64<0>
          0x555598c8bb70: i64 = Constant<0>
          0x555598c8bb70: i64 = Constant<0>
          0x555598c8bb70: i64 = Constant<0>
          0x555598c8bb70: i64 = Constant<0>
      0x555598c917d0: v4i32 = BUILD_VECTOR Constant:i64<31>, Constant:i64<31>, Constant:i64<31>, Constant:i64<31>
        0x555598c92100: i64 = Constant<31>
        0x555598c92100: i64 = Constant<31>
        0x555598c92100: i64 = Constant<31>
        0x555598c92100: i64 = Constant<31>
    0x555598c917d0: v4i32 = BUILD_VECTOR Constant:i64<31>, Constant:i64<31>, Constant:i64<31>, Constant:i64<31>
      0x555598c92100: i64 = Constant<31>
      0x555598c92100: i64 = Constant<31>
      0x555598c92100: i64 = Constant<31>
      0x555598c92100: i64 = Constant<31>
  0x555598c91e60: i64 = FrameIndex<6>
  0x555598c85080: i64 = undef
In function: fs_variant_partial
/usr/bin/xvfb-run: line 184: 32638 Aborted                 DISPLAY=:$SERVERNUM XAUTHORITY=$AUTHFILE "$@"

Reproducible: Always
Comment 1 matoro archtester 2024-04-12 06:05:44 UTC
Created attachment 890474 [details]
build.log and emerge --info
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-05-24 15:46:04 UTC
Please title accordingly and assign to llvm@.
Comment 3 matoro archtester 2024-05-24 15:47:52 UTC
(In reply to Sam James from comment #2)
> Please title accordingly and assign to llvm@.

Reassigned, title already indicates it's an LLVM error so not sure what to retitle to?
Comment 4 WANG Xuerui gentoo-dev 2024-05-25 13:38:58 UTC
This is due to LLVM 17's implementation of Loongson SIMD codegen being incomplete. The linked loongson-community/discussions issue (majority of comments are in Chinese but machine translation could be used) has some details.

Given that LLVM 18 has this problem fixed, guess we can just wait until media-libs/mesa bumps its LLVM compatibility range and simply close this bug then?